Trouble with equo update [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Trouble with equo update [Solved]

Postby miles » Sun Jan 24, 2010 5:33

Hi,

Currently running Sabayon Gnome V4.2.
Current equo version is v0.99.3.2.2
Update manager recommends installing v0.99.3.2.5.
Attempted to update equo resulted in a similar a crash and a request to send in the details, which I did.
Details below under title of EquoCrash
Confusingly, the Error msg in the crash dump quotes a different entropy version, that of 0.98.0.2

Really don't know what to do next. Any suggestions....?

Thanks very much for any responses.
Cheers,
Miles

Update by Miles
Having trouble loading an attachement so have done a copy and paste below.

EquoCrash
sabayon miles # equo update
>> @@ Repositories synchronization ...
>> [svn.sabayonlinux.org:1026] Successfully connected to host
>> [svn.sabayonlinux.org:1026] Successfully disconnected from host
>> # (1/1) Sabayon Linux Official Repository
>> # Database URL: http://svn.sabayonlinux.org/entropy/sta ... base/x86/4
>> # Database local path: /var/lib/entropy/client/database/x86/sabayonlinux.org/standard/x86/4
>> # Database EAPI: 3
>> Attention: database is already up to date.
>> !!! Equo/Entropy: a new release is available. Mind to install it before any other package.
>> @@ Notice board: sabayonlinux.org
>> [0] [Mon, 18 May 2009 21:22:48 +0000] Title: GNOME 2.26 has arrived, please read
>> [1] [Sat, 23 May 2009 18:42:50 +0000] Title: Spritz is now known as Sulfur!
sabayon miles # equo install entropy
>>
>>
>> !!! Please update the following critical packages:
>> # >=sys-apps/entropy-0.98.0.2
>> !!! You should install them as soon as possible
>>
>>
>> @@ Calculating dependencies ...
>> Cache is now empty.
>> Hi. My name is Bug Reporter. I am sorry to inform you that Equo crashed. Well, you know, shit happens.
>> But there's something you could do to help Equo to be a better application.
>> -- EVEN IF I DON'T WANT YOU TO SUBMIT THE SAME REPORT MULTIPLE TIMES --
>> Now I am showing you what happened. Don't panic, I'm here to help you.
Traceback (most recent call last):
File "/usr/bin/equo", line 504, in main
rc = text_ui.package(options)
File "/usr/lib/entropy/client/text_ui.py", line 135, in package
check_critical_updates = True)
File "/usr/lib/entropy/client/text_ui.py", line 773, in installPackages
emptydeps, deepdeps)
File "/usr/lib/entropy/client/text_ui.py", line 597, in _generateRunQueue
runQueue, removalQueue, status = Equo.get_install_queue(foundAtoms, emptydeps, deepdeps)
File "/usr/lib/entropy/libraries/entropy/client/interfaces/dep.py", line 1867, in get_install_queue
empty_deps, deep_deps, quiet = quiet)
File "/usr/lib/entropy/libraries/entropy/client/interfaces/dep.py", line 1371, in get_required_packages
deptree = graph.solve()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 433, in solve
sorted_data = self.solve_nodes()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 418, in solve_nodes
return sorter.sort()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 307, in sort
components = self.__strongly_connected_nodes()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 250, in __strongly_connected_nodes
self.__topological_sort_visit_node(node, low, result)
File "/usr/lib/entropy/libraries/entropy/graph.py", line 223, in __topological_sort_visit_node
stack_pos = len(self.__stack)
AttributeError: Lifo instance has no attribute '__len__'

Frame __topological_sort_visit_node in /usr/lib/entropy/libraries/entropy/graph.py at line 223
node =
<GraphNode[item:(21161, 'sabayonlinux.org')][arches:['<GraphArchSet[origin:<entropy.graph.GraphNode object at 0x945b24c>][endpoints:frozenset([])]>', '<GraphArchSet[origin:<entropy.graph.GraphNode object at 0x945b6ac>][endpoints:frozenset([<entropy.graph.GraphNode object at 0x945b30c>, <entropy.graph.GraphNode object at 0x945b24c>, <entropy.graph.GraphNode object at 0x945bd6c>])]>']]>

self = <entropy.graph.TopologicalSorter object at 0x9b66dcc>
num = 0
result = []
low = {<entropy.graph.GraphNode object at 0x945b24c>: 0}

>> Of course you are on the Internet...
Erm... Can I send the error, along with some information
about your hardware to my creators so they can fix me? (Your IP will be logged) [Yes/No] yes
>> If you want to be contacted back (and actively supported), also answer the questions below:
Your Full name: miles leach
Your E-Mail address: [email protected]
What you were doing: attempting to install latest version of entropy (0.99.2.3.5) via command line as sulfur doesn't seem to be able to load
>> Thank you very much. The error has been repor
miles
Baby Hen
 
Posts: 6
Joined: Wed Aug 19, 2009 13:46
Location: Melbourne, Australia

Re: Trouble with equo update

Postby catalyst » Sun Jan 24, 2010 10:27

As root in terminal type.
Code: Select all
equo install entropy sulfur equo

do this before you do another.
Code: Select all
equo update


this may or may not solve your issue as your version of entropy is quite old, current version is.
@@ Package: sys-apps/entropy-0.99.24.11 branch: 5, [client]
>> Installed: version: 0.99.24.11 ~ tag: NoTag ~ revision: 0
>> Slot: 0
>> Homepage: http://www.sabayonlinux.org
>> Description: Official Sabayon Linux Package
>> Manager library

Cheers: catalyst64
Desktop HP Pavilion a1040a
Intel P4: 515J processor: 2.93 Ghz: 1.5 Gb ram
2 x sata HDD
ATI Radeon X300 SE PCI-Ex
Sabayon-9 Gnome x86
Laptop HP Pavillion dv6-7031tx Netbook
Intel core i7 3610 2.3 Ghz
Nvidia GeForce GT 630m
Sabayon-9 Kde
catalyst
Simple Hen
 
Posts: 63
Joined: Thu Aug 20, 2009 3:55
Location: Gladstone, Tasmania, Australia

Re: Trouble with equo update

Postby miles » Mon Jan 25, 2010 20:54

Hi catalyst64,

Thanks very much for your suggestion.
It seems that entry of 'equo install entropy sulfur equo' gave the same set of error messages as before.
I've included the output below in case there is a subtle difference.

I was rather hoping to get the experience of doing the 'hop' from 4.2. to 5/ 5.1
But if that's not possible then perhaps a fresh install of V5.1 is the next step....
Any thoughts?

Thanks again.

Cheers,
Miles

Output to 'equo install entropy sulfur equo'

sabayon miles # equo database check
>> Sanity Check: system database
>> Sanity Check: PASSED
sabayon miles # equo install entropy sulfur equo
>>
>>
>> !!! Please update the following critical packages:
>> # >=sys-apps/entropy-0.98.0.2
>> !!! You should install them as soon as possible
>>
>>
>> @@ Calculating dependencies ...
>> Cache is now empty.
>> Hi. My name is Bug Reporter. I am sorry to inform you that Equo crashed. Well, you know, shit happens.
>> But there's something you could do to help Equo to be a better application.
>> -- EVEN IF I DON'T WANT YOU TO SUBMIT THE SAME REPORT MULTIPLE TIMES --
>> Now I am showing you what happened. Don't panic, I'm here to help you.
Traceback (most recent call last):
File "/usr/bin/equo", line 504, in main
rc = text_ui.package(options)
File "/usr/lib/entropy/client/text_ui.py", line 135, in package
check_critical_updates = True)
File "/usr/lib/entropy/client/text_ui.py", line 773, in installPackages
emptydeps, deepdeps)
File "/usr/lib/entropy/client/text_ui.py", line 597, in _generateRunQueue
runQueue, removalQueue, status = Equo.get_install_queue(foundAtoms, emptydeps, deepdeps)
File "/usr/lib/entropy/libraries/entropy/client/interfaces/dep.py", line 1867, in get_install_queue
empty_deps, deep_deps, quiet = quiet)
File "/usr/lib/entropy/libraries/entropy/client/interfaces/dep.py", line 1371, in get_required_packages
deptree = graph.solve()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 433, in solve
sorted_data = self.solve_nodes()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 418, in solve_nodes
return sorter.sort()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 307, in sort
components = self.__strongly_connected_nodes()
File "/usr/lib/entropy/libraries/entropy/graph.py", line 250, in __strongly_connected_nodes
self.__topological_sort_visit_node(node, low, result)
File "/usr/lib/entropy/libraries/entropy/graph.py", line 223, in __topological_sort_visit_node
stack_pos = len(self.__stack)
AttributeError: Lifo instance has no attribute '__len__'

Frame __topological_sort_visit_node in /usr/lib/entropy/libraries/entropy/graph.py at line 223
node =
<GraphNode[item:(21161, 'sabayonlinux.org')][arches:['<GraphArchSet[origin:<entropy.graph.GraphNode object at 0x8dfc64c>][endpoints:frozenset([])]>', '<GraphArchSet[origin:<entropy.graph.GraphNode object at 0x8dfca6c>][endpoints:frozenset([<entropy.graph.GraphNode object at 0x8dfc9cc>, <entropy.graph.GraphNode object at 0x8dfc64c>, <entropy.graph.GraphNode object at 0x8dfc80c>])]>']]>

self = <entropy.graph.TopologicalSorter object at 0x992ec8c>
num = 0
result = []
low = {<entropy.graph.GraphNode object at 0x8dfc64c>: 0}

>> Of course you are on the Internet...
Erm... Can I send the error, along with some information
about your hardware to my creators so they can fix me? (Your IP will be logged) [Yes/No] yes
>> If you want to be contacted back (and actively supported), also answer the questions below:
Your Full name: miles leach
What you were doing: Executing command equo install entropy sulfur equo as cmd equo update fails with the same err msgs as above
>> Thank you very much. The error has been reported and hopefully, the problem will be solved as soon as possible.
'
miles
Baby Hen
 
Posts: 6
Joined: Wed Aug 19, 2009 13:46
Location: Melbourne, Australia

Re: Trouble with equo update

Postby Stupot » Mon Jan 25, 2010 21:52

You should be able to install equo/entropy from the Sabayon portage overlay.

Code: Select all
#layman -S
#emerge equo


That should bring you up to the latest entropy and you should be able to use it as your normally would after that point.
Stupot
Sagely Hen
 
Posts: 1549
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Trouble with equo update

Postby miles » Tue Jan 26, 2010 3:45

Hi Stupot

Thanks for your input.
Gave the two commands a go.
layman -S finished with a status of success.
However emerge equo gave the following...
_________________________________________________________________
Calculating dependencies... done!

!!! All ebuilds that could satisfy "app-admin/equo" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-admin/equo-0.99.25 (masked by: corruption)
- app-admin/equo-0.99.24.11 (masked by: corruption)
- app-admin/equo-0.99.24.10 (masked by: corruption)
- app-admin/equo-0.99.24.9 (masked by: corruption)
- app-admin/equo-0.99.24.8 (masked by: corruption)
- app-admin/equo-0.99.24.7 (masked by: corruption)
- app-admin/equo-0.99.24.6 (masked by: corruption)
- app-admin/equo-0.99.24.5 (masked by: corruption)
- app-admin/equo-0.99.24.4 (masked by: corruption)
- app-admin/equo-0.99.24.3 (masked by: corruption)
- app-admin/equo-0.99.24.2 (masked by: corruption)
- app-admin/equo-0.99.24.1 (masked by: corruption)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
_________________________________________________________________
According to the Gentoo Handbook a package.mask means that the package has been found corrupt, unstable or worse and has been deliberately marked as do-not-use.
At this point is sounds rather like the above equo packages are not fit for use, even for an upgrade.

Happy to try any other suggestions.
Thanks again Stupot.

Cheers,
Miles
miles
Baby Hen
 
Posts: 6
Joined: Wed Aug 19, 2009 13:46
Location: Melbourne, Australia

Re: Trouble with equo update

Postby wolfden » Tue Jan 26, 2010 6:12

wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Trouble with equo update

Postby miles » Wed Jan 27, 2010 22:08

Hi Wolfden,

Thanks for your timely reminder!
I had printed out that page, and others, when first intalled Sabayon - shows you need to re-read this stuff from time to time.

Cmd "emerge --sync && layman -S" followed by "emerge entropy equo sulfur" would seem to have done the trick.
Equo is now at V 0.99.26

Thanks to you all for your reponses.

Cheers,
Miles
miles
Baby Hen
 
Posts: 6
Joined: Wed Aug 19, 2009 13:46
Location: Melbourne, Australia


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest

cron